﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Csbot.Core
{
    /// <summary>
    /// This interface represents every "entity" that could be sending a message on an IRCd.
    /// Implemented in the User and Host classes.
    /// </summary>
    public interface ISender
    {
        String host { get; set; }
        String nick { get; set; }
        String realname { get; set; }
    }
}
