﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Csbot.Core
{
    /// <summary>
    /// Helper class used to pass parameters to the Parser.Run function.
    /// </summary>
    class ParserParameters
    {
        public Message received { get; set; }
        public Config config { get; set; }
        public StreamWriter ircOut { get; set; }

        public ParserParameters(Message recv, Config conf, StreamWriter irc)
        {
            this.received = recv;
            this.config = conf;
            this.ircOut = irc;
        }
    }
}
