﻿using System;
using System.Collections.Generic;

namespace Csbot.Core
{
    /// <summary>
    /// This class is used as a config file deserializer. Add any configuration parameter you need and make sure the JSON file has all of these.
    /// </summary>
    class Config
    {
        public User csbot { get; set; }
        public String nick { get; set; }
        public String password { get; set; }
        public List<String> channels { get; set; }
        public List<String> masters { get; set; }
        public String server { get; set; }
        public int port { get; set; }
        public Char commandStart { get; set; }
        public String lastFmApiKey { get; set; }
        public String traktClientID { get; set; }
        public bool debug { get; set; }
    }
}
